oracle.pgx.config

## Class GraphPropertyConfig

- java.lang.Object
- - oracle.pgx.config.AbstractConfig
  - - oracle.pgx.config.AbstractGraphPropertyConfig
    - - oracle.pgx.config.GraphPropertyConfig

-     @Generated(value="config_generator.py")
      public class GraphPropertyConfig
      extends AbstractGraphPropertyConfig

  PGX Engine Graph Property Config

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GraphPropertyConfig.Field` Fields of PGX Engine Graph Property Config

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Charset` | `getCharset()` Gets the charset.
    `Object` | `getDefault()` default value to be assigned to this property if datasource does not provide it.
    `String` | `getName()` name of property
    `PropertyType` | `getType()` type of property.
    `Map<GraphPropertyConfig.Field,Object>` | `getValues()` Gets the parsed values.
    `Map<GraphPropertyConfig.Field,Object>` | `getValuesWithoutDefaults()` Gets the values without defaults.
    `boolean` | `hasDefaultValue(GraphPropertyConfig.Field field)` Checks for default value.
    `static GraphPropertyConfig` | `parse(InputStream is, boolean strict, File parent)` Parses an input stream.
    `static GraphPropertyConfig` | `parse(Map<String,Object> raw, boolean strict, File parent)` Parses a raw key/value mapping.
    `static GraphPropertyConfig` | `parse(Properties props, boolean strict)` Parses a properties file.
    `String` | `toString()`

    - ### Methods inherited from class oracle.pgx.config.AbstractGraphPropertyConfig

      `getParsedDefaultValue`

    - ### Methods inherited from class oracle.pgx.config.AbstractConfig

      `setSerializable`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getCharset

          public Charset getCharset()

      Gets the charset.
      Returns:
        the charset

    - #### getDefault

          public Object getDefault()

      default value to be assigned to this property if datasource does not provide it. In case of `date` type: string is expected to be formatted with `yyyy-MM-dd HH:mm:ss`. If no default is present (`null`), non-existent properties will contain default Java types (primitives) or empty string (`string`) or `01.01.1970 00:00` (`date`).

    - #### getName

          public String getName()

      name of property

    - #### getType

          public PropertyType getType()

      type of property. `vertex`/`edge` are place-holders for the type specified in `vertex_id_type`/`edge_id_type` fields.

    - #### getValues

          public Map<GraphPropertyConfig.Field,Object> getValues()

      Gets the parsed values.
      Returns:
        the parsed values

    - #### getValuesWithoutDefaults

          public Map<GraphPropertyConfig.Field,Object> getValuesWithoutDefaults()

      Gets the values without defaults.
      Returns:
        the values without defaults

    - #### hasDefaultValue

          public boolean hasDefaultValue(GraphPropertyConfig.Field field)

      Checks for default value.
      Parameters:
        `field` - the field
      Returns:
        true, if value for given field is the default value

    - #### parse

          public static GraphPropertyConfig parse(InputStream is,
                                  boolean strict,
                                  File parent)
                                           throws IOException

      Parses an input stream.
      Parameters:
        `is` - the input stream
        `strict` - if true, parses in strict mode
        `parent` - if not null, resolves relative paths against this parent
      Returns:
        the parsed graph config
      Throws:
        `IOException` - Signals that an I/O exception has occurred.

    - #### parse

          public static GraphPropertyConfig parse(Map<String,Object> raw,
                                  boolean strict,
                                  File parent)

      Parses a raw key/value mapping.
      Parameters:
        `raw` - the raw key/value mapping to parse
        `strict` - if true, parses in strict mode
        `parent` - if not null, resolves relative paths against this parent
      Returns:
        the parsed graph config

    - #### parse

          public static GraphPropertyConfig parse(Properties props,
                                  boolean strict)

      Parses a properties file.
      Parameters:
        `props` - the properties to parse
        `strict` - if true, parses in strict mode
      Returns:
        the parsed graph config

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015. All rights reserved.